const toggle = async () => {
    const hostname = await getCurrentHostname();

    Settings.load((state) => {
        if (typeof(state.activated[hostname]) === "undefined") {
            state.activated[hostname] = true;
        } else {
            state.activated[hostname] = !state.activated[hostname];
        }
        Settings.save(state);

        const activated = state.activated[hostname];

        chrome.runtime.sendMessage({
            action: "toggle-activation-checkbox",
            activate: activated
        });

        sendActivationMessage(activated);
    })
}

chrome.commands.onCommand.addListener((command) => {  
    switch (command) {
        case "toggle-plugin":
            toggle();
            break;

        case "propose-word":
            sendCommand("propose-word");
            break;

        case "ignore-word":
            sendCommand("ignore-word");
            break;
    }
});